# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "nanogrep"
version = "2.1.0"
authors = ["uniminin <uniminin@zoho.com>"]
include = ["src/*.rs", "Cargo.toml", "Cargo.lock", "LICENSE", "README.md"]
autotests = false
description = "Custom simplified implementation of minigrep with additional features"
readme = "README.md"
keywords = ["utility", "pattern-matching", "grep", "search"]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/Uniminin/nanogrep"
[package.metadata.deb]
assets = ["target/release/ng", "~/.local/bin", "755"]
depends = "$auto"
extended-description = "Custom simplified implementation of minigrep with additional features"
license-file = ["LICENSE"]
[profile.release]
opt-level = 3
lto = "fat"
codegen-units = 16
debug = false
debug-assertions = false
rpath = false
panic = "abort"
overflow-checks = false
incremental = false

[[bin]]
name = "ng"
path = "src/main.rs"
bench = false
[dependencies.colored]
version = "2.0.0"
